%global forgeurl https://github.com/OpenPrinting/ps-printer-app
%global commit fbf6f1ccdbe938be92531da072e21e5a47cf881b
%forgemeta

Summary: PostScript Printer Application
Name: ps-printer-app
Version: 0.9
Release: 1%{?dist}
License: Apache-2.0
#Source: https://github.com/OpenPrinting/ps-printer-app/archive/refs/heads/master.tar.gz
Source: %{forgesource}
Url: %{forgeurl}

BuildRequires: avahi-devel
BuildRequires: cups-devel
BuildRequires: gcc
BuildRequires: glibc-devel
BuildRequires: libppd-devel
BuildRequires: pappl-devel
BuildRequires: pappl-retrofit-devel
BuildRequires: make
BuildRequires: pkgconfig

%description
Printer Application for PostScript printers uses PAPPL to support IPP printing
from multiple operating systems. In addition, it uses the resources of
cups-filters 2.x (filter functions in libcupsfilters, libppd) and
pappl-retrofit (encapsulating classic CUPS drivers in Printer Applications).
This work (or now the code of pappl-retrofit) is derived from the hp-printer-app..

%prep
%forgesetup

%build
export DSOFLAGS="$DSOFLAGS -Wl,-z,now,--as-needed"
#need this to enable build with '-D_FILE_OFFSET_BITS=64' flag
export CPPFLAGS="$CPPFLAGS -D_FILE_OFFSET_BITS=64"
%make_build

%install
%make_install BUILDROOT=%{buildroot}

# replace absolute path symlink with relative
rm %{buildroot}/%{_exec_prefix}/lib/ps-printer-app
ln -s cups %{buildroot}/%{_exec_prefix}/lib/ps-printer-app


mkdir %{buildroot}/%{_sbindir}
mv %{buildroot}/%{_bindir}/ps-printer-app %{buildroot}/%{_sbindir}/

%check
#make test

%files
%doc *.md 
%license LICENSE NOTICE
%{_mandir}/man1/ps-printer-app.1.gz
%{_sbindir}/ps-printer-app
%{_datadir}/ppd/generic-ps-printer.ppd
%dir %{_datadir}/ps-printer-app
%{_datadir}/ps-printer-app/*
%{_exec_prefix}/lib/ps-printer-app
%attr(0644, root, root)%{_unitdir}/ps-printer-app.service
%dir %attr(0710,root,lp) %{_localstatedir}/lib/ps-printer-app
%dir %attr(0710,root,lp) %{_localstatedir}/spool/ps-printer-app

%changelog
* Sun Mar 19 2023 Douglas Kosovic <doug@uq.edu.au> - 1.0b2-1
- Initial version of package

